# Command: ifstream

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ifstream - Open file for reading.

Synopsis:

    string ifstream -> ifstreamhandle true
      -> false

Description:

      Tries to open the named file for reading.
      If successful an ifstream handle object
      and the boolean true is returned. In case of failure only the boolean
      false is returned. This function provides a direct interface to the
      C++ ifstream constructor. SLI's search path mechanism is not used.

Remarks:

    commented 26.3.1999, Diesmann

SeeAlso:

- xifstream
- ofstream

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative